package cJTab;

import javax.swing.JOptionPane;
import javax.swing.JPanel;

/**
 * La classe <code>ClosePanel</code> dfinit un panneau qui implmente 
 * l'interface <code>CloseTabListener</code> avec un exemple de mthode appele
 * lors de la fermeture du panneau.
 * @author bcaylux
 *
 */
public class ClosePanel extends JPanel implements CloseTabListener {

	private static final long serialVersionUID = -7322398791034648865L;

	public boolean closeAction(CloseTabEvent event) {
		// exemple de mthode de fermeture ...
        int rep = JOptionPane.showConfirmDialog(this, "femeture de "+event.getTabbedPane().getTitleAt(event.getTabIndex()));
        return rep==JOptionPane.OK_OPTION;
	}

} 
