
package cJTab;

/**
 * Objet renvoy au listener (qui implmente <code>CloseTabListener</code>) lors de la fermeture d'un onglet.
 * @author bcaylux
 *
 */
public class CloseTabEvent {
    private CTabbedPane tabbedPane; // le panneau  onglets
    private int tabIndex;           // l'index du panneau  fermer 
    
    public CloseTabEvent (CTabbedPane tabbedPane, int tabIndex) {
        this.tabbedPane = tabbedPane;
        this.tabIndex = tabIndex;
    }
    
    /**
     * 
     * @return l'index de l'onglet cliqu
     */
    public int getTabIndex () {
        return this.tabIndex;
    }
   
    /**
     * 
     * @return le tabbedPane qui a subit le clic
     */
    public CTabbedPane getTabbedPane () {
        return this.tabbedPane;
    }
    
    public String toString(){
    	return "CloseTabEvent "+tabIndex;
    }
    
}
